DROP DATABASE IF EXISTS app_db;
CREATE DATABASE IF NOT EXISTS app_db;
USE app_db;

DROP Table IF EXISTS employee_salaries;
DROP Table IF EXISTS employees;
DROP Table IF EXISTS employee_statutes;
DROP Table IF EXISTS retirees;
DROP Table IF EXISTS companies;
DROP Table IF EXISTS prestations;
DROP Table IF EXISTS medical_acts;
DROP Table IF EXISTS medical_actor_types;
DROP Table IF EXISTS persons;
DROP Table IF EXISTS qpvs;
DROP Table IF EXISTS addresses;
DROP Table IF EXISTS cities;
DROP Table IF EXISTS regions;CREATE TABLE
    regions (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL
    );
CREATE TABLE
    cities (
      id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
      region_id BIGINT NOT NULL,
      name VARCHAR(100) NOT NULL,
      FOREIGN KEY (region_id) REFERENCES regions(id)
    );
CREATE TABLE
    qpvs (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        zone GEOMETRY NOT NULL SRID 4326
    );CREATE TABLE
    addresses (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        city_id BIGINT NOT NULL,
        qpv_id BIGINT,
        street VARCHAR(100) NOT NULL,
        location POINT NOT NULL SRID 4326,
        FOREIGN KEY (qpv_id) REFERENCES qpvs(id),
        FOREIGN KEY (city_id) REFERENCES cities(id)
    );
CREATE TABLE
    persons (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        firstname VARCHAR(100) NOT NULL,
        lastname VARCHAR(100) NOT NULL,
        address_id BIGINT NOT NULL,
        is_retired BOOLEAN NOT NULL,
        FOREIGN KEY (address_id) REFERENCES addresses(id)
    );
CREATE TABLE
    medical_actor_types (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        type VARCHAR(100) NOT NULL
    );
CREATE TABLE
    medical_acts (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        actor_type_id BIGINT NOT NULL,
        name VARCHAR(100) NOT NULL,
        cost DECIMAL(10, 2) NOT NULL,
        coverage_percentage DECIMAL(3, 2) NOT NULL,
        FOREIGN KEY (actor_type_id) REFERENCES medical_actor_types(id)
    );
CREATE TABLE
    prestations (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        medical_act_id BIGINT NOT NULL,
        person_id BIGINT NOT NULL,
        FOREIGN KEY (medical_act_id) REFERENCES medical_acts(id),
        FOREIGN KEY (person_id) REFERENCES persons(id)
    );
CREATE TABLE
    companies (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        social_capital DECIMAL(15,2) NOT NULL,
        address_id BIGINT NOT NULL,
        FOREIGN KEY (address_id) REFERENCES addresses(id)
    );CREATE TABLE
    employee_statutes (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        tax DECIMAL(3, 2) NOT NULL
    );
CREATE TABLE
    employees (
        id BIGINT NOT NULL PRIMARY KEY REFERENCES persons(id),
        status_id BIGINT NOT NULL,
        company_id BIGINT NOT NULL,
        FOREIGN KEY (status_id) REFERENCES employee_statutes(id),
        FOREIGN KEY (company_id) REFERENCES companies(id)
    );
CREATE TABLE
    employee_salaries (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        employee_id BIGINT NOT NULL,
        salary DECIMAL(10, 2) NOT NULL,
        FOREIGN KEY (employee_id) REFERENCES employees(id)
    );
INSERT INTO regions (id, name)
VALUES 
    (1,	'Guadeloupe'),
    (2,	'Martinique'),
    (3,	'Guyane'),
    (4,	'La Réunion'),
    (5,	'Mayotte'),
    (6, 'Île-de-France'),
    (7, 'Centre-Val de Loire'),
    (8, 'Bourgogne-Franche-Comté'),
    (9, 'Normandie'),
    (10, 'Hauts-de-France'),
    (11, 'Grand Est'),
    (12, 'Pays de la Loire'),
    (13, 'Bretagne'),
    (14, 'Nouvelle-Aquitaine'),
    (15, 'Occitanie'),
    (16, 'Auvergne-Rhône-Alpes'),
    (17, 'Provence-Alpes-Côte d\'Azur'),
    (18, 'Corse');
INSERT INTO cities (id, name, region_id)
VALUES
  (1, 'Paris', 6),
  (2, 'Marseille', 17),
  (3, 'Lyon', 16),
  (4, 'Toulouse', 15),
  (5, 'Nice', 17),
  (6, 'Nantes', 12),
  (7, 'Strasbourg', 11),
  (8, 'Montpellier', 15),
  (9, 'Bordeaux', 14),
  (10, 'Lille', 10),
  (11, 'Rennes', 13),
  (12, 'Le Havre', 9),
  (13, 'Reims', 11),
  (14, 'Saint-Étienne', 16),
  (15, 'Toulon', 17),
  (16, 'Grenoble', 16),
  (17, 'Angers', 12),
  (18, 'Dijon', 8),
  (19, 'Brest', 13),
  (20, 'Le Mans', 12),
  (21, 'Clermont-Ferrand', 16),
  (22, 'Amiens', 10),
  (23, 'Aix-en-Provence', 17),
  (24, 'Limoges', 14),
  (25, 'Nîmes', 15),
  (26, 'Tours', 7),
  (27, 'Saint-Denis', 4),
  (28, 'Villeurbanne', 16),
  (29, 'Metz', 11),
  (30, 'Besançon', 8),
  (31, 'Caen', 9),
  (32, 'Orléans', 7),
  (33, 'Mulhouse', 11),
  (34, 'Rouen', 9),
  (35, 'Boulogne-Billancourt', 6),
  (36, 'Perpignan', 15),
  (37, 'Nancy', 11),
  (38, 'Roubaix', 10),
  (39, 'Fort-de-France', 2),
  (40, 'Argenteuil', 6),
  (41, 'Tourcoing', 10),
  (42, 'Montreuil', 6),
  (43, 'Saint-Paul', 4),
  (44, 'Avignon', 17),
  (45, 'Saint-Denis', 4),
  (46, 'Versailles', 6),
  (47, 'Nanterre', 6),
  (48, 'Poitiers', 14),
  (49, 'Créteil', 6),
  (50, 'Aulnay-sous-Bois', 6);
INSERT INTO addresses (id, street, city_id, location)
VALUES 
    (1,  '14 B, Dougneix', 1, ST_PointFromText('POINT(4.112571 48.574805)', 4326)),
    (2,  '8, Rue des Laitières', 2, ST_PointFromText('POINT(5.423934 43.289192)', 4326)),
    (3,  '62, Boulevard du Général de Gaulle', 3, ST_PointFromText('POINT(4.867122 45.762514)', 4326)),
    (4,  '25, Rue Pierre et Marie Curie', 4, ST_PointFromText('POINT(1.490643 43.577389)', 4326)),
    (5,  '4, Rue Amilcar Cipriani', 5, ST_PointFromText('POINT(7.209018 43.693084)', 4326)),
    (6,  '5, Rue du Tram', 6, ST_PointFromText('POINT(-1.535071 47.168019)', 4326)),
    (7,  '29, Rue Jules Ferry', 7, ST_PointFromText('POINT(7.720563 48.568184)', 4326)),
    (8,  '73 bis, Rue de la Convention', 8, ST_PointFromText('POINT(3.851510 43.620326)', 4326)),
    (9,  '26, Rue du Roggenberg', 9, ST_PointFromText('POINT(-0.592879 44.836695)', 4326)),
    (10, 'Centre Equestre des Fleysets, 1849, Avenue de Thonon', 10, ST_PointFromText('POINT(3.025955 50.641310)', 4326)),
    (11, '15, Rue Charles VII', 11, ST_PointFromText('POINT(-1.688272 48.117533)', 4326)),
    (12, '355, Route du Val de Sorne', 12, ST_PointFromText('POINT(0.123984 49.502951)', 4326)),
    (13, '3, Allée des Pervenches', 13, ST_PointFromText('POINT(4.036225 49.247933)', 4326)),
    (14, '58, Rue Baratte Cholet', 14, ST_PointFromText('POINT(4.384101 45.435561)', 4326)),
    (15, '47, Rue Jean Moulin', 15, ST_PointFromText('POINT(5.909063 43.131348)', 4326)),
    (16, '1572 bis, Chemin de Ternis', 16, ST_PointFromText('POINT(5.721548 45.185381)', 4326)),
    (17, '25, Avenue de Lattre de Tassigny', 17, ST_PointFromText('POINT(-0.562763 47.465414)', 4326)),
    (18, '11, Rue Jean Monnet', 18, ST_PointFromText('POINT(5.037540 47.329886)', 4326)),
    (19, '34, Rue de Neuilly', 19, ST_PointFromText('POINT(-4.486539 48.400004)', 4326)),
    (20, '2, Route de Reuilly', 20, ST_PointFromText('POINT(0.201537 48.003612)', 4326)),
    (21, '11, Allée Charles Martel', 21, ST_PointFromText('POINT(3.075457 45.777826)', 4326)),
    (22, '3, Impasse du Verger', 22, ST_PointFromText('POINT(2.301504 49.892844)', 4326)),
    (23, '12, Allée des Troënes', 23, ST_PointFromText('POINT(5.417461 43.532748)', 4326)),
    (24, '28, Chemin du Buisson', 24, ST_PointFromText('POINT(1.246134 45.838069)', 4326)),
    (25, '8, Rue de la Massonnière', 25, ST_PointFromText('POINT(4.365860 43.817520)', 4326)),
    (26, '75, Rue de l\'Église', 26, ST_PointFromText('POINT(0.686531 47.383455)', 4326)),
    (27, '2, Route de la Blanche Pierre', 27, ST_PointFromText('POINT(2.354888 48.916702)', 4326)),
    (28, '8, Rue Albert Schweitzer', 28, ST_PointFromText('POINT(4.885624 45.768704)', 4326)),
    (29, '40, Rue de Paris', 29, ST_PointFromText('POINT(6.175977 49.104370)', 4326)),
    (30, '17, Rue de Beauvais', 30, ST_PointFromText('POINT(5.998335 47.233149)', 4326)),
    (31, '35, Rue Jean Pierre Timbaud', 31, ST_PointFromText('POINT(-0.384259 49.180264)', 4326)),
    (32, 'Archives de l\'École des Hautes Études en Science Sociales, 65, Rue des Cités', 32, ST_PointFromText('POINT(1.910669 47.862817)', 4326)),
    (33, '43, Rue Jean-Jacques Rousseau', 33, ST_PointFromText('POINT(7.327839 47.751344)', 4326)),
    (34, '8, Rue Lamarck', 34, ST_PointFromText('POINT(1.063019 49.424038)', 4326)),
    (35, '40, Rue du Bignon', 35, ST_PointFromText('POINT(2.244925 48.840688)', 4326)),
    (36, '26, Rue Principale', 36, ST_PointFromText('POINT(2.901078 42.691833)', 4326)),
    (37, '26, Rue Albert Darmont', 37, ST_PointFromText('POINT(6.172066 48.676892)', 4326)),
    (38, '19G, Rue de l\'Abbaye de Clairlieu', 38, ST_PointFromText('POINT(3.179616 50.682356)', 4326)),
    (39, '10, Rue du Commandant Rivière', 39, ST_PointFromText('POINT(-61.079116 14.606888)', 4326)),
    (40, '90, Rue Jeanne d\'Arc', 40, ST_PointFromText('POINT(2.248485 48.949737)', 4326)),
    (41, '82, Avenue de la République', 41, ST_PointFromText('POINT(3.165592 50.729894)', 4326)),
    (42, 'La Celle Saint-Cloud Bendern, 5, Place du Comte de Bendern', 42, ST_PointFromText('POINT(2.434979 48.861657)', 4326)),
    (43, '60, Rue de Saint-Denis / Chemin d\'Aubervilliers', 43, ST_PointFromText('POINT(2.003454 49.425450)', 4326)),
    (44, '2980, Route de Grenade', 44, ST_PointFromText('POINT(4.817121 43.938337)', 4326)),
    (45, '1, Villa Sonatine', 45, ST_PointFromText('POINT(2.363471 48.914277)', 4326)),
    (46, 'PIC, 2, Avenue Jean Mermoz', 46, ST_PointFromText('POINT(2.127349 48.796691)', 4326)),
    (47, '10, Rue René Cassin', 47, ST_PointFromText('POINT(2.196572 48.918519)', 4326)),
    (48, '1648, Chemin du Moulin de Gandalou', 48, ST_PointFromText('POINT(0.348524 46.582780)', 4326)),
    (49, 'CREPS Bourgogne-Franche-Comté, 15, Rue Pierre de Coubertin', 49, ST_PointFromText('POINT(2.453444 48.792400)', 4326)),
    (50, '85, Chemin de la Grange', 50, ST_PointFromText('POINT(2.490172 48.938867)', 4326));INSERT INTO qpvs (id, name, zone)
VALUES 
    (1, 'Paris -  Nancy -  Lyon', ST_PolygonFromText('POLYGON((2.388124 48.931357, 6.121551 48.707656, 2.271043 48.046087, 4.905451 45.821285, 2.388124 48.931357))', 4326)),
    (2, 'QPVS 2', ST_PolygonFromText('POLYGON((-0.391861 46.089004, 0.581406 45.042492, 0.943996 46.159547, -0.391861 46.089004))', 4326)),
    (3, 'QPVS 3', ST_PolygonFromText('POLYGON((4.013449 45.878906, 4.909195 45.555602, 5.762562 46.198395, 4.013449 45.878906))', 4326));INSERT INTO persons (id, firstname, lastname, address_id, is_retired)
VALUES 
    (1, 'Myra', 'Mejia', 1, 0),
    (2, 'Brian', 'Melton', 2, 0),
    (3, 'Holly', 'Justice', 3, 0),
    (4, 'Forrest', 'Sellers', 4, 0),
    (5, 'Reagan', 'Kane', 5, 0),
    (6, 'Zachary', 'Boyle', 6, 0),
    (7, 'Wendy', 'Welch', 7, 0),
    (8, 'Hop', 'Goff', 8, 0),
    (9, 'Davis', 'Holloway', 9, 0),
    (10, 'Uriah', 'Hamilton', 10, 0),
    (11, 'Uriel', 'Pena', 11, 0),
    (12, 'Cheryl', 'Pollard', 12, 0),
    (13, 'Nolan', 'Cohen', 13, 0),
    (14, 'Zoe', 'Bean', 14, 0),
    (15, 'Nissim', 'Ramirez', 15, 0),
    (16, 'Aimee', 'Chaney', 16, 0),
    (17, 'Caldwell', 'Fletcher', 17, 0),
    (18, 'Adrian', 'Valdez', 18, 0),
    (19, 'Dorothy', 'Langley', 19, 0),
    (20, 'Ebony', 'Burns', 20, 0),
    (21, 'Robert', 'Price', 21, 0),
    (22, 'Dane', 'Mcintosh', 22, 0),
    (23, 'Herrod', 'Irwin', 23, 0),
    (24, 'Alfreda', 'Preston', 24, 0),
    (25, 'Peter', 'House', 25, 0),
    (26, 'Constance', 'Avery', 26, 0),
    (27, 'Forrest', 'Hansen', 27, 0),
    (28, 'Allistair', 'Michael', 28, 0),
    (29, 'Kadeem', 'Bradshaw', 29, 0),
    (30, 'Ciaran', 'Mcintosh', 30, 0),
    (31, 'Scott', 'Huff', 31, 0),
    (32, 'Lyle', 'Gould', 32, 0),
    (33, 'Gillian', 'Bender', 33, 0),
    (34, 'Tasha', 'Maldonado', 34, 0),
    (35, 'Quyn', 'Lambert', 35, 0),
    (36, 'Paki', 'Delaney', 36, 0),
    (37, 'Evangeline', 'Velez', 37, 0),
    (38, 'Meredith', 'Charles', 38, 0),
    (39, 'Quynn', 'Rivas', 39, 0),
    (40, 'Gillian', 'English', 40, 0),
    (41, 'Nelle', 'Wilkinson', 41, 0),
    (42, 'Owen', 'Evans', 42, 0),
    (43, 'Jessica', 'Contreras', 43, 0),
    (44, 'Rigel', 'Hickman', 44, 0),
    (45, 'Cassidy', 'Yang', 45, 0),
    (46, 'Kaseem', 'Guzman', 46, 0),
    (47, 'Jerome', 'Avila', 47, 0),
    (48, 'Hilary', 'Chaney', 48, 0),
    (49, 'Natalie', 'Cote', 49, 0),
    (50, 'Robin', 'Kelly', 50, 0),
    (51, 'Quynn', 'Rivas', 39, 1),
    (52, 'Gillian', 'English', 40, 1),
    (53, 'Nelle', 'Wilkinson', 41, 1),
    (54, 'Owen', 'Evans', 42, 1),
    (55, 'Jessica', 'Contreras', 21, 1),
    (56, 'Rigel', 'Hickman', 1, 1),
    (57, 'Cassidy', 'Yang', 21, 1),
    (58, 'Kaseem', 'Guzman', 27, 1),
    (59, 'Jerome', 'Avila', 38, 1),
    (60, 'Hilary', 'Chaney', 45, 1),
    (61, 'Natalie', 'Cote', 49, 1),
    (62, 'Robin', 'Kelly', 37, 1),
    (63, 'Meredith', 'Charles', 31, 1),
    (64, 'Quynn', 'Rivas', 30, 1),
    (65, 'Gillian', 'English', 32, 1),
    (66, 'Nelle', 'Wilkinson', 48, 1),
    (67, 'Owen', 'Evans', 45, 1),
    (68, 'Jessica', 'Contreras', 40, 1),
    (69, 'Rigel', 'Hickman', 42, 1),
    (70, 'Cassidy', 'Yang', 41, 1)
;
INSERT INTO companies (id, name, social_capital, address_id)
VALUES 
    (1, 'Dignissim Magna Institute', 643533, 2), 
    (2, 'Vestibulum Mauris PC', 115386, 3), 
    (3, 'Pede Associates', 754339, 8), 
    (4, 'Consequat Purus LLC', 694419, 45),
    (5, 'Et Foundation', 339116, 6),
    (6, 'Quam Corporation', 406086, 4),
    (7, 'Penatibus Inc.', 406242, 7),
    (8, 'Nulla Industries', 510835, 9),
    (9, 'Pede Cras Limited', 472560, 5),
    (10, 'Convallis In Industries', 286528, 10);
INSERT INTO employee_statutes (id, name, tax)
VALUES 
    (1, 'Cadre', 0.27), 
    (2, 'Non cadre', 0.23);
INSERT INTO employees (id,  status_id,  company_id)
VALUES
  (1, 2, 1),
  (2, 2, 1),
  (3, 2, 1),
  (4, 2, 1),
  (5, 2, 1),
  (6, 2, 2),
  (7, 2, 2),
  (8, 2, 2),
  (9, 2, 2),
  (10, 2, 2),
  (11, 2, 3),
  (12, 1, 3),
  (13, 1, 3),
  (14, 2, 3),
  (15, 1, 3),
  (16, 1, 4),
  (17, 2, 4),
  (18, 2, 4),
  (19, 2, 4),
  (20, 2, 4),
  (21, 2, 5),
  (22, 1, 5),
  (23, 2, 5),
  (24, 2, 5),
  (25, 2, 5),
  (26, 2, 6),
  (27, 1, 6),
  (28, 2, 6),
  (29, 1, 6),
  (30, 2, 6),
  (31, 2, 7),
  (32, 1, 7),
  (33, 1, 7),
  (34, 1, 7),
  (35, 2, 7),
  (36, 2, 8),
  (37, 2, 8),
  (38, 1, 8),
  (39, 1, 8),
  (40, 2, 8),
  (41, 2, 9),
  (42, 2, 9),
  (43, 2, 9),
  (44, 2, 9),
  (45, 2, 9),  
  (46, 2, 10),
  (47, 1, 10),
  (48, 2, 10),
  (49, 2, 10),
  (50, 1, 10);
INSERT INTO employee_salaries (employee_id, salary)
VALUES 
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 21460.53);INSERT INTO medical_actor_types (id, type)
VALUES
    (1, 'Hôpital'),
    (2, 'Généraliste'),
    (3, 'Spécialiste');INSERT INTO medical_acts (id, actor_type_id, name, cost, coverage_percentage)
VALUES
    (1, 1, 'Accueil Urgence', 70, 1.00),
    (2, 1, 'Chirurgie du pied', 570, 1.00),
    (3, 1, 'Chirurgie esthétique', 1500, 0.20),
    (4, 1, 'Chirurgie cardiaque', 3000, 0.95),
    (5, 1, 'Intervention estomac', 394, 0.57),
    (6, 1, 'Radiologie tête', 216, 1.00),
    (7, 1, 'Raiologie jambe', 345, 0.67),
    (8, 1, 'Dents de sagesse', 850, 0.72),
    (9, 1, 'Pose de prothèse', 4678, 0.31),
    (10, 2, 'Consultation', 50, 1.00),
    (11, 2, 'Vaccination', 72, 0.89),
    (12, 2, 'Déplacement à domicile', 130, 0.23),
    (13, 3, 'Echographie cardiaque', 245, 0.84),
    (14, 3, 'Dermato', 111, 1.00),
    (15, 3, 'Dentiste - routine', 65, 0.87),
    (16, 3, 'Dentiste - couronne', 2300, 0.62),
    (17, 3, 'Podologue', 56, 1.00),
    (18, 3, 'Psycologue', 70, 0.92),
    (19, 3, 'Virusologue', 142, 0.07),
    (20, 3, 'Kiné', 60, 0.23);INSERT INTO prestations (person_id, medical_act_id)
VALUES
  (1, 19),
  (1, 20),
  (2, 20),
  (2, 6),
  (2, 5),
  (2, 2),
  (3, 10),
  (3, 18),
  (3, 8),
  (4, 7),
  (5, 20),
  (6, 19),
  (6, 8),
  (6, 16),
  (7, 1),
  (7, 14),
  (8, 18),
  (8, 19),
  (8, 3),
  (8, 2),
  (9, 4),
  (9, 2),
  (9, 14),
  (10, 3),
  (10, 2),
  (10, 3),
  (10, 12),
  (10, 7),
  (10, 17),
  (11, 5),
  (11, 2),
  (12, 18),
  (12, 14),
  (13, 20),
  (13, 13),
  (13, 1),
  (14, 15),
  (14, 15),
  (15, 17),
  (15, 4),
  (15, 14),
  (15, 13),
  (15, 9),
  (15, 6),
  (16, 8),
  (17, 9),
  (17, 14),
  (17, 15),
  (17, 7),
  (17, 19),
  (18, 5),
  (18, 17),
  (18, 7),
  (19, 9),
  (19, 7),
  (19, 11),
  (19, 16),
  (20, 1),
  (20, 2),
  (21, 19),
  (21, 1),
  (22, 6),
  (22, 8),
  (22, 7),
  (23, 13),
  (23, 3),
  (23, 19),
  (23, 19),
  (25, 11),
  (25, 15),
  (26, 14),
  (26, 19),
  (26, 7),
  (26, 14),
  (28, 19),
  (28, 15),
  (28, 7),
  (29, 8),
  (29, 14),
  (30, 11),
  (30, 16),
  (30, 12),
  (30, 8),
  (31, 20),
  (31, 12),
  (31, 18),
  (31, 16),
  (32, 6),
  (32, 7),
  (32, 10),
  (33, 1),
  (33, 18),
  (33, 4),
  (34, 17),
  (34, 20),
  (35, 7),
  (35, 3),
  (35, 5),
  (35, 10),
  (35, 12),
  (36, 5),
  (36, 10),
  (36, 4),
  (36, 6),
  (37, 13),
  (37, 9),
  (37, 1),
  (37, 1),
  (37, 1),
  (38, 1),
  (38, 14),
  (38, 13),
  (38, 15),
  (38, 5),
  (39, 1),
  (39, 4),
  (39, 18),
  (39, 7),
  (40, 8),
  (40, 2),
  (40, 11),
  (40, 7),
  (41, 1),
  (41, 2),
  (42, 11),
  (43, 8),
  (43, 10),
  (43, 2),
  (43, 1),
  (44, 16),
  (44, 16),
  (44, 13),
  (45, 16),
  (45, 11),
  (45, 20),
  (47, 17),
  (47, 2),
  (47, 11),
  (48, 10),
  (48, 3),
  (48, 11),
  (48, 8),
  (48, 11),
  (48, 5),
  (49, 10),
  (49, 14),
  (50, 6),
  (50, 4),
  (51, 13),
  (51, 9),
  (52, 4),
  (52, 9),
  (52, 9),
  (52, 20),
  (52, 9),
  (52, 17),
  (53, 7),
  (53, 7),
  (53, 7),
  (54, 12),
  (54, 19),
  (55, 16),
  (55, 7),
  (56, 3),
  (56, 20),
  (56, 9),
  (57, 20),
  (57, 20),
  (58, 7),
  (58, 8),
  (58, 4),
  (58, 15),
  (59, 7),
  (59, 10),
  (59, 14),
  (59, 2),
  (59, 17),
  (60, 14),
  (61, 12),
  (61, 4),
  (61, 18),
  (61, 18),
  (61, 6),
  (62, 15),
  (62, 7),
  (62, 16),
  (63, 4),
  (65, 18),
  (66, 15),
  (66, 17),
  (66, 10),
  (66, 10),
  (67, 20),
  (67, 13),
  (68, 12),
  (68, 11),
  (69, 11),
  (69, 14),
  (69, 8),
  (70, 9);








































































































































































































DROP DATABASE IF EXISTS app_db;
CREATE DATABASE IF NOT EXISTS app_db;
USE app_db;

DROP Table IF EXISTS employee_salaries;
DROP Table IF EXISTS employees;
DROP Table IF EXISTS employee_statutes;
DROP Table IF EXISTS retirees;
DROP Table IF EXISTS companies;
DROP Table IF EXISTS prestations;
DROP Table IF EXISTS medical_acts;
DROP Table IF EXISTS medical_actor_types;
DROP Table IF EXISTS persons;
DROP Table IF EXISTS qpvs;
DROP Table IF EXISTS addresses;
DROP Table IF EXISTS cities;
DROP Table IF EXISTS regions;CREATE TABLE
    regions (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL
    );
CREATE TABLE
    cities (
      id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
      region_id BIGINT NOT NULL,
      name VARCHAR(100) NOT NULL,
      FOREIGN KEY (region_id) REFERENCES regions(id)
    );
CREATE TABLE
    qpvs (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        zone GEOMETRY NOT NULL SRID 4326
    );CREATE TABLE
    addresses (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        city_id BIGINT NOT NULL,
        qpv_id BIGINT,
        street VARCHAR(100) NOT NULL,
        location POINT NOT NULL SRID 4326,
        FOREIGN KEY (qpv_id) REFERENCES qpvs(id),
        FOREIGN KEY (city_id) REFERENCES cities(id)
    );
CREATE TABLE
    persons (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        firstname VARCHAR(100) NOT NULL,
        lastname VARCHAR(100) NOT NULL,
        address_id BIGINT NOT NULL,
        is_retired BOOLEAN NOT NULL,
        FOREIGN KEY (address_id) REFERENCES addresses(id)
    );
CREATE TABLE
    medical_actor_types (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        type VARCHAR(100) NOT NULL
    );
CREATE TABLE
    medical_acts (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        actor_type_id BIGINT NOT NULL,
        name VARCHAR(100) NOT NULL,
        cost DECIMAL(10, 2) NOT NULL,
        coverage_percentage DECIMAL(3, 2) NOT NULL,
        FOREIGN KEY (actor_type_id) REFERENCES medical_actor_types(id)
    );
CREATE TABLE
    prestations (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        medical_act_id BIGINT NOT NULL,
        person_id BIGINT NOT NULL,
        FOREIGN KEY (medical_act_id) REFERENCES medical_acts(id),
        FOREIGN KEY (person_id) REFERENCES persons(id)
    );
CREATE TABLE
    companies (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        social_capital DECIMAL(15,2) NOT NULL,
        address_id BIGINT NOT NULL,
        FOREIGN KEY (address_id) REFERENCES addresses(id)
    );CREATE TABLE
    employee_statutes (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        name VARCHAR(100) NOT NULL,
        tax DECIMAL(3, 2) NOT NULL
    );
CREATE TABLE
    employees (
        id BIGINT NOT NULL PRIMARY KEY REFERENCES persons(id),
        status_id BIGINT NOT NULL,
        company_id BIGINT NOT NULL,
        salary DECIMAL(10, 2) NOT NULL,
        FOREIGN KEY (status_id) REFERENCES employee_statutes(id),
        FOREIGN KEY (company_id) REFERENCES companies(id)
    );
CREATE TABLE
    employee_salaries (
        id BIGINT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        employee_id BIGINT NOT NULL,
        salary DECIMAL(10, 2) NOT NULL,
        FOREIGN KEY (employee_id) REFERENCES employees(id)
    );
INSERT INTO regions (id, name)
VALUES 
    (1,	'Guadeloupe'),
    (2,	'Martinique'),
    (3,	'Guyane'),
    (4,	'La Réunion'),
    (5,	'Mayotte'),
    (6, 'Île-de-France'),
    (7, 'Centre-Val de Loire'),
    (8, 'Bourgogne-Franche-Comté'),
    (9, 'Normandie'),
    (10, 'Hauts-de-France'),
    (11, 'Grand Est'),
    (12, 'Pays de la Loire'),
    (13, 'Bretagne'),
    (14, 'Nouvelle-Aquitaine'),
    (15, 'Occitanie'),
    (16, 'Auvergne-Rhône-Alpes'),
    (17, 'Provence-Alpes-Côte d\'Azur'),
    (18, 'Corse');
INSERT INTO cities (id, name, region_id)
VALUES
  (1, 'Paris', 6),
  (2, 'Marseille', 17),
  (3, 'Lyon', 16),
  (4, 'Toulouse', 15),
  (5, 'Nice', 17),
  (6, 'Nantes', 12),
  (7, 'Strasbourg', 11),
  (8, 'Montpellier', 15),
  (9, 'Bordeaux', 14),
  (10, 'Lille', 10),
  (11, 'Rennes', 13),
  (12, 'Le Havre', 9),
  (13, 'Reims', 11),
  (14, 'Saint-Étienne', 16),
  (15, 'Toulon', 17),
  (16, 'Grenoble', 16),
  (17, 'Angers', 12),
  (18, 'Dijon', 8),
  (19, 'Brest', 13),
  (20, 'Le Mans', 12),
  (21, 'Clermont-Ferrand', 16),
  (22, 'Amiens', 10),
  (23, 'Aix-en-Provence', 17),
  (24, 'Limoges', 14),
  (25, 'Nîmes', 15),
  (26, 'Tours', 7),
  (27, 'Saint-Denis', 4),
  (28, 'Villeurbanne', 16),
  (29, 'Metz', 11),
  (30, 'Besançon', 8),
  (31, 'Caen', 9),
  (32, 'Orléans', 7),
  (33, 'Mulhouse', 11),
  (34, 'Rouen', 9),
  (35, 'Boulogne-Billancourt', 6),
  (36, 'Perpignan', 15),
  (37, 'Nancy', 11),
  (38, 'Roubaix', 10),
  (39, 'Fort-de-France', 2),
  (40, 'Argenteuil', 6),
  (41, 'Tourcoing', 10),
  (42, 'Montreuil', 6),
  (43, 'Saint-Paul', 4),
  (44, 'Avignon', 17),
  (45, 'Saint-Denis', 4),
  (46, 'Versailles', 6),
  (47, 'Nanterre', 6),
  (48, 'Poitiers', 14),
  (49, 'Créteil', 6),
  (50, 'Aulnay-sous-Bois', 6);
INSERT INTO addresses (id, street, city_id, location)
VALUES 
    (1,  '14 B, Dougneix', 1, ST_PointFromText('POINT(4.112571 48.574805)', 4326)),
    (2,  '8, Rue des Laitières', 2, ST_PointFromText('POINT(5.423934 43.289192)', 4326)),
    (3,  '62, Boulevard du Général de Gaulle', 3, ST_PointFromText('POINT(4.867122 45.762514)', 4326)),
    (4,  '25, Rue Pierre et Marie Curie', 4, ST_PointFromText('POINT(1.490643 43.577389)', 4326)),
    (5,  '4, Rue Amilcar Cipriani', 5, ST_PointFromText('POINT(7.209018 43.693084)', 4326)),
    (6,  '5, Rue du Tram', 6, ST_PointFromText('POINT(-1.535071 47.168019)', 4326)),
    (7,  '29, Rue Jules Ferry', 7, ST_PointFromText('POINT(7.720563 48.568184)', 4326)),
    (8,  '73 bis, Rue de la Convention', 8, ST_PointFromText('POINT(3.851510 43.620326)', 4326)),
    (9,  '26, Rue du Roggenberg', 9, ST_PointFromText('POINT(-0.592879 44.836695)', 4326)),
    (10, 'Centre Equestre des Fleysets, 1849, Avenue de Thonon', 10, ST_PointFromText('POINT(3.025955 50.641310)', 4326)),
    (11, '15, Rue Charles VII', 11, ST_PointFromText('POINT(-1.688272 48.117533)', 4326)),
    (12, '355, Route du Val de Sorne', 12, ST_PointFromText('POINT(0.123984 49.502951)', 4326)),
    (13, '3, Allée des Pervenches', 13, ST_PointFromText('POINT(4.036225 49.247933)', 4326)),
    (14, '58, Rue Baratte Cholet', 14, ST_PointFromText('POINT(4.384101 45.435561)', 4326)),
    (15, '47, Rue Jean Moulin', 15, ST_PointFromText('POINT(5.909063 43.131348)', 4326)),
    (16, '1572 bis, Chemin de Ternis', 16, ST_PointFromText('POINT(5.721548 45.185381)', 4326)),
    (17, '25, Avenue de Lattre de Tassigny', 17, ST_PointFromText('POINT(-0.562763 47.465414)', 4326)),
    (18, '11, Rue Jean Monnet', 18, ST_PointFromText('POINT(5.037540 47.329886)', 4326)),
    (19, '34, Rue de Neuilly', 19, ST_PointFromText('POINT(-4.486539 48.400004)', 4326)),
    (20, '2, Route de Reuilly', 20, ST_PointFromText('POINT(0.201537 48.003612)', 4326)),
    (21, '11, Allée Charles Martel', 21, ST_PointFromText('POINT(3.075457 45.777826)', 4326)),
    (22, '3, Impasse du Verger', 22, ST_PointFromText('POINT(2.301504 49.892844)', 4326)),
    (23, '12, Allée des Troënes', 23, ST_PointFromText('POINT(5.417461 43.532748)', 4326)),
    (24, '28, Chemin du Buisson', 24, ST_PointFromText('POINT(1.246134 45.838069)', 4326)),
    (25, '8, Rue de la Massonnière', 25, ST_PointFromText('POINT(4.365860 43.817520)', 4326)),
    (26, '75, Rue de l\'Église', 26, ST_PointFromText('POINT(0.686531 47.383455)', 4326)),
    (27, '2, Route de la Blanche Pierre', 27, ST_PointFromText('POINT(2.354888 48.916702)', 4326)),
    (28, '8, Rue Albert Schweitzer', 28, ST_PointFromText('POINT(4.885624 45.768704)', 4326)),
    (29, '40, Rue de Paris', 29, ST_PointFromText('POINT(6.175977 49.104370)', 4326)),
    (30, '17, Rue de Beauvais', 30, ST_PointFromText('POINT(5.998335 47.233149)', 4326)),
    (31, '35, Rue Jean Pierre Timbaud', 31, ST_PointFromText('POINT(-0.384259 49.180264)', 4326)),
    (32, 'Archives de l\'École des Hautes Études en Science Sociales, 65, Rue des Cités', 32, ST_PointFromText('POINT(1.910669 47.862817)', 4326)),
    (33, '43, Rue Jean-Jacques Rousseau', 33, ST_PointFromText('POINT(7.327839 47.751344)', 4326)),
    (34, '8, Rue Lamarck', 34, ST_PointFromText('POINT(1.063019 49.424038)', 4326)),
    (35, '40, Rue du Bignon', 35, ST_PointFromText('POINT(2.244925 48.840688)', 4326)),
    (36, '26, Rue Principale', 36, ST_PointFromText('POINT(2.901078 42.691833)', 4326)),
    (37, '26, Rue Albert Darmont', 37, ST_PointFromText('POINT(6.172066 48.676892)', 4326)),
    (38, '19G, Rue de l\'Abbaye de Clairlieu', 38, ST_PointFromText('POINT(3.179616 50.682356)', 4326)),
    (39, '10, Rue du Commandant Rivière', 39, ST_PointFromText('POINT(-61.079116 14.606888)', 4326)),
    (40, '90, Rue Jeanne d\'Arc', 40, ST_PointFromText('POINT(2.248485 48.949737)', 4326)),
    (41, '82, Avenue de la République', 41, ST_PointFromText('POINT(3.165592 50.729894)', 4326)),
    (42, 'La Celle Saint-Cloud Bendern, 5, Place du Comte de Bendern', 42, ST_PointFromText('POINT(2.434979 48.861657)', 4326)),
    (43, '60, Rue de Saint-Denis / Chemin d\'Aubervilliers', 43, ST_PointFromText('POINT(2.003454 49.425450)', 4326)),
    (44, '2980, Route de Grenade', 44, ST_PointFromText('POINT(4.817121 43.938337)', 4326)),
    (45, '1, Villa Sonatine', 45, ST_PointFromText('POINT(2.363471 48.914277)', 4326)),
    (46, 'PIC, 2, Avenue Jean Mermoz', 46, ST_PointFromText('POINT(2.127349 48.796691)', 4326)),
    (47, '10, Rue René Cassin', 47, ST_PointFromText('POINT(2.196572 48.918519)', 4326)),
    (48, '1648, Chemin du Moulin de Gandalou', 48, ST_PointFromText('POINT(0.348524 46.582780)', 4326)),
    (49, 'CREPS Bourgogne-Franche-Comté, 15, Rue Pierre de Coubertin', 49, ST_PointFromText('POINT(2.453444 48.792400)', 4326)),
    (50, '85, Chemin de la Grange', 50, ST_PointFromText('POINT(2.490172 48.938867)', 4326));INSERT INTO qpvs (id, name, zone)
VALUES 
    (1, 'Paris -  Nancy -  Lyon', ST_PolygonFromText('POLYGON((2.388124 48.931357, 6.121551 48.707656, 2.271043 48.046087, 4.905451 45.821285, 2.388124 48.931357))', 4326)),
    (2, 'QPVS 2', ST_PolygonFromText('POLYGON((-0.391861 46.089004, 0.581406 45.042492, 0.943996 46.159547, -0.391861 46.089004))', 4326)),
    (3, 'QPVS 3', ST_PolygonFromText('POLYGON((4.013449 45.878906, 4.909195 45.555602, 5.762562 46.198395, 4.013449 45.878906))', 4326));INSERT INTO persons (id, firstname, lastname, address_id, is_retired)
VALUES 
    (1, 'Myra', 'Mejia', 1, 0),
    (2, 'Brian', 'Melton', 2, 0),
    (3, 'Holly', 'Justice', 3, 0),
    (4, 'Forrest', 'Sellers', 4, 0),
    (5, 'Reagan', 'Kane', 5, 0),
    (6, 'Zachary', 'Boyle', 6, 0),
    (7, 'Wendy', 'Welch', 7, 0),
    (8, 'Hop', 'Goff', 8, 0),
    (9, 'Davis', 'Holloway', 9, 0),
    (10, 'Uriah', 'Hamilton', 10, 0),
    (11, 'Uriel', 'Pena', 11, 0),
    (12, 'Cheryl', 'Pollard', 12, 0),
    (13, 'Nolan', 'Cohen', 13, 0),
    (14, 'Zoe', 'Bean', 14, 0),
    (15, 'Nissim', 'Ramirez', 15, 0),
    (16, 'Aimee', 'Chaney', 16, 0),
    (17, 'Caldwell', 'Fletcher', 17, 0),
    (18, 'Adrian', 'Valdez', 18, 0),
    (19, 'Dorothy', 'Langley', 19, 0),
    (20, 'Ebony', 'Burns', 20, 0),
    (21, 'Robert', 'Price', 21, 0),
    (22, 'Dane', 'Mcintosh', 22, 0),
    (23, 'Herrod', 'Irwin', 23, 0),
    (24, 'Alfreda', 'Preston', 24, 0),
    (25, 'Peter', 'House', 25, 0),
    (26, 'Constance', 'Avery', 26, 0),
    (27, 'Forrest', 'Hansen', 27, 0),
    (28, 'Allistair', 'Michael', 28, 0),
    (29, 'Kadeem', 'Bradshaw', 29, 0),
    (30, 'Ciaran', 'Mcintosh', 30, 0),
    (31, 'Scott', 'Huff', 31, 0),
    (32, 'Lyle', 'Gould', 32, 0),
    (33, 'Gillian', 'Bender', 33, 0),
    (34, 'Tasha', 'Maldonado', 34, 0),
    (35, 'Quyn', 'Lambert', 35, 0),
    (36, 'Paki', 'Delaney', 36, 0),
    (37, 'Evangeline', 'Velez', 37, 0),
    (38, 'Meredith', 'Charles', 38, 0),
    (39, 'Quynn', 'Rivas', 39, 0),
    (40, 'Gillian', 'English', 40, 0),
    (41, 'Nelle', 'Wilkinson', 41, 0),
    (42, 'Owen', 'Evans', 42, 0),
    (43, 'Jessica', 'Contreras', 43, 0),
    (44, 'Rigel', 'Hickman', 44, 0),
    (45, 'Cassidy', 'Yang', 45, 0),
    (46, 'Kaseem', 'Guzman', 46, 0),
    (47, 'Jerome', 'Avila', 47, 0),
    (48, 'Hilary', 'Chaney', 48, 0),
    (49, 'Natalie', 'Cote', 49, 0),
    (50, 'Robin', 'Kelly', 50, 0),
    (51, 'Quynn', 'Rivas', 39, 1),
    (52, 'Gillian', 'English', 40, 1),
    (53, 'Nelle', 'Wilkinson', 41, 1),
    (54, 'Owen', 'Evans', 42, 1),
    (55, 'Jessica', 'Contreras', 21, 1),
    (56, 'Rigel', 'Hickman', 1, 1),
    (57, 'Cassidy', 'Yang', 21, 1),
    (58, 'Kaseem', 'Guzman', 27, 1),
    (59, 'Jerome', 'Avila', 38, 1),
    (60, 'Hilary', 'Chaney', 45, 1),
    (61, 'Natalie', 'Cote', 49, 1),
    (62, 'Robin', 'Kelly', 37, 1),
    (63, 'Meredith', 'Charles', 31, 1),
    (64, 'Quynn', 'Rivas', 30, 1),
    (65, 'Gillian', 'English', 32, 1),
    (66, 'Nelle', 'Wilkinson', 48, 1),
    (67, 'Owen', 'Evans', 45, 1),
    (68, 'Jessica', 'Contreras', 40, 1),
    (69, 'Rigel', 'Hickman', 42, 1),
    (70, 'Cassidy', 'Yang', 41, 1)
;
INSERT INTO companies (id, name, social_capital, address_id)
VALUES 
    (1, 'Dignissim Magna Institute', 643533, 2), 
    (2, 'Vestibulum Mauris PC', 115386, 3), 
    (3, 'Pede Associates', 754339, 8), 
    (4, 'Consequat Purus LLC', 694419, 45),
    (5, 'Et Foundation', 339116, 6),
    (6, 'Quam Corporation', 406086, 4),
    (7, 'Penatibus Inc.', 406242, 7),
    (8, 'Nulla Industries', 510835, 9),
    (9, 'Pede Cras Limited', 472560, 5),
    (10, 'Convallis In Industries', 286528, 10);
INSERT INTO employee_statutes (id, name, tax)
VALUES 
    (1, 'Cadre', 0.27), 
    (2, 'Non cadre', 0.23);
INSERT INTO employees (id,  status_id,  company_id, salary)
VALUES
  (1, 2, 1, 2000),
  (2, 2, 1, 2000),
  (3, 2, 1, 2000),
  (4, 2, 1, 2000),
  (5, 2, 1, 1500),
  (6, 2, 2, 2300),
  (7, 2, 2, 2400),
  (8, 2, 2, 2500),
  (9, 2, 2, 2600),
  (10, 2, 2, 2700),
  (11, 2, 3, 2000),
  (12, 1, 3, 1500),
  (13, 1, 3, 2300),
  (14, 2, 3, 3500),
  (15, 1, 3, 2000),
  (16, 1, 4, 1500),
  (17, 2, 4, 2300),
  (18, 2, 4, 2000),
  (19, 2, 4, 1500),
  (20, 2, 4, 2300),
  (21, 2, 5, 1250),
  (22, 1, 5, 1300),
  (23, 2, 5, 2000),
  (24, 2, 5, 1900),
  (25, 2, 5, 1800),
  (26, 2, 6, 1700),
  (27, 1, 6, 1600),
  (28, 2, 6, 2000),
  (29, 1, 6, 1600),
  (30, 2, 6, 1900),
  (31, 2, 7, 1500),
  (32, 1, 7, 2000),
  (33, 1, 7, 1500),
  (34, 1, 7, 2000),
  (35, 2, 7, 1500),
  (36, 2, 8, 4500),
  (37, 2, 8, 4400),
  (38, 1, 8, 2000),
  (39, 1, 8, 1500),
  (40, 2, 8, 1400),
  (41, 2, 9, 1400),
  (42, 2, 9, 1500),
  (43, 2, 9, 1500),
  (44, 2, 9, 1300),
  (45, 2, 9, 1300),
  (46, 2, 10, 1300),
  (47, 1, 10, 1300),
  (48, 2, 10 ,7500),
  (49, 2, 10, 7000),
  (50, 1, 10, 1600);
INSERT INTO employee_salaries (employee_id, salary)
VALUES 
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (1, 1399.13),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (2, 1274.49),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (3, 1883.26),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (4, 2530.65),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (5, 1258.88),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (6, 1423.28),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (7, 1972.69),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (8, 1785.76),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (9, 1389.81),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (10, 2244.54),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (11, 1784.35),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (12, 3510.36),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (13, 1819.21),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (14, 1920.78),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (15, 1543.30),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (16, 2016.87),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (17, 1698.04),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (18, 2570.12),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (19, 1412.96),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (20, 1263.67),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (21, 2407.86),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (22, 1566.62),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (23, 1458.90),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (24, 1137.49),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (25, 5485.71),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (26, 1640.95),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (27, 1709.35),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (28, 1354.99),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (29, 1094.96),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (30, 5464.11),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (31, 4446.29),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (32, 1217.18),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (33, 2350.73),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (34, 2564.28),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (35, 1589.06),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (36, 1684.81),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (37, 1961.42),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (38, 1845.65),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (39, 938.26),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (40, 3464.25),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (41, 2462.45),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (42, 1585.23),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (43, 2004.51),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (44, 1470.50),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (45, 1764.01),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (46, 3773.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (47, 2436.84),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (48, 1392.15),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (49, 1925.33),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 2460.53),
    (50, 21460.53);INSERT INTO medical_actor_types (id, type)
VALUES
    (1, 'Hôpital'),
    (2, 'Généraliste'),
    (3, 'Spécialiste');INSERT INTO medical_acts (id, actor_type_id, name, cost, coverage_percentage)
VALUES
    (1, 1, 'Accueil Urgence', 70, 1.00),
    (2, 1, 'Chirurgie du pied', 570, 1.00),
    (3, 1, 'Chirurgie esthétique', 1500, 0.20),
    (4, 1, 'Chirurgie cardiaque', 3000, 0.95),
    (5, 1, 'Intervention estomac', 394, 0.57),
    (6, 1, 'Radiologie tête', 216, 1.00),
    (7, 1, 'Raiologie jambe', 345, 0.67),
    (8, 1, 'Dents de sagesse', 850, 0.72),
    (9, 1, 'Pose de prothèse', 4678, 0.31),
    (10, 2, 'Consultation', 50, 1.00),
    (11, 2, 'Vaccination', 72, 0.89),
    (12, 2, 'Déplacement à domicile', 130, 0.23),
    (13, 3, 'Echographie cardiaque', 245, 0.84),
    (14, 3, 'Dermato', 111, 1.00),
    (15, 3, 'Dentiste - routine', 65, 0.87),
    (16, 3, 'Dentiste - couronne', 2300, 0.62),
    (17, 3, 'Podologue', 56, 1.00),
    (18, 3, 'Psycologue', 70, 0.92),
    (19, 3, 'Virusologue', 142, 0.07),
    (20, 3, 'Kiné', 60, 0.23);INSERT INTO prestations (person_id, medical_act_id)
VALUES
  (1, 19),
  (1, 20),
  (2, 20),
  (2, 6),
  (2, 5),
  (2, 2),
  (3, 10),
  (3, 18),
  (3, 8),
  (4, 7),
  (5, 20),
  (6, 19),
  (6, 8),
  (6, 16),
  (7, 1),
  (7, 14),
  (8, 18),
  (8, 19),
  (8, 3),
  (8, 2),
  (9, 4),
  (9, 2),
  (9, 14),
  (10, 3),
  (10, 2),
  (10, 3),
  (10, 12),
  (10, 7),
  (10, 17),
  (11, 5),
  (11, 2),
  (12, 18),
  (12, 14),
  (13, 20),
  (13, 13),
  (13, 1),
  (14, 15),
  (14, 15),
  (15, 17),
  (15, 4),
  (15, 14),
  (15, 13),
  (15, 9),
  (15, 6),
  (16, 8),
  (17, 9),
  (17, 14),
  (17, 15),
  (17, 7),
  (17, 19),
  (18, 5),
  (18, 17),
  (18, 7),
  (19, 9),
  (19, 7),
  (19, 11),
  (19, 16),
  (20, 1),
  (20, 2),
  (21, 19),
  (21, 1),
  (22, 6),
  (22, 8),
  (22, 7),
  (23, 13),
  (23, 3),
  (23, 19),
  (23, 19),
  (25, 11),
  (25, 15),
  (26, 14),
  (26, 19),
  (26, 7),
  (26, 14),
  (28, 19),
  (28, 15),
  (28, 7),
  (29, 8),
  (29, 14),
  (30, 11),
  (30, 16),
  (30, 12),
  (30, 8),
  (31, 20),
  (31, 12),
  (31, 18),
  (31, 16),
  (32, 6),
  (32, 7),
  (32, 10),
  (33, 1),
  (33, 18),
  (33, 4),
  (34, 17),
  (34, 20),
  (35, 7),
  (35, 3),
  (35, 5),
  (35, 10),
  (35, 12),
  (36, 5),
  (36, 10),
  (36, 4),
  (36, 6),
  (37, 13),
  (37, 9),
  (37, 1),
  (37, 1),
  (37, 1),
  (38, 1),
  (38, 14),
  (38, 13),
  (38, 15),
  (38, 5),
  (39, 1),
  (39, 4),
  (39, 18),
  (39, 7),
  (40, 8),
  (40, 2),
  (40, 11),
  (40, 7),
  (41, 1),
  (41, 2),
  (42, 11),
  (43, 8),
  (43, 10),
  (43, 2),
  (43, 1),
  (44, 16),
  (44, 16),
  (44, 13),
  (45, 16),
  (45, 11),
  (45, 20),
  (47, 17),
  (47, 2),
  (47, 11),
  (48, 10),
  (48, 3),
  (48, 11),
  (48, 8),
  (48, 11),
  (48, 5),
  (49, 10),
  (49, 14),
  (50, 6),
  (50, 4),
  (51, 13),
  (51, 9),
  (52, 4),
  (52, 9),
  (52, 9),
  (52, 20),
  (52, 9),
  (52, 17),
  (53, 7),
  (53, 7),
  (53, 7),
  (54, 12),
  (54, 19),
  (55, 16),
  (55, 7),
  (56, 3),
  (56, 20),
  (56, 9),
  (57, 20),
  (57, 20),
  (58, 7),
  (58, 8),
  (58, 4),
  (58, 15),
  (59, 7),
  (59, 10),
  (59, 14),
  (59, 2),
  (59, 17),
  (60, 14),
  (61, 12),
  (61, 4),
  (61, 18),
  (61, 18),
  (61, 6),
  (62, 15),
  (62, 7),
  (62, 16),
  (63, 4),
  (65, 18),
  (66, 15),
  (66, 17),
  (66, 10),
  (66, 10),
  (67, 20),
  (67, 13),
  (68, 12),
  (68, 11),
  (69, 11),
  (69, 14),
  (69, 8),
  (70, 9);








































































































































































































